# coding: utf-8

"""
    ThorNode Query API

    ThorNode Query API  # noqa: E501

    OpenAPI spec version: 1.0.0-oas3
    Contact: zheye@umich.edu
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ThorchainStringConstants(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'default_pool_status': 'str'
    }

    attribute_map = {
        'default_pool_status': 'DefaultPoolStatus'
    }

    def __init__(self, default_pool_status=None):  # noqa: E501
        """ThorchainStringConstants - a model defined in Swagger"""  # noqa: E501
        self._default_pool_status = None
        self.discriminator = None
        if default_pool_status is not None:
            self.default_pool_status = default_pool_status

    @property
    def default_pool_status(self):
        """Gets the default_pool_status of this ThorchainStringConstants.  # noqa: E501


        :return: The default_pool_status of this ThorchainStringConstants.  # noqa: E501
        :rtype: str
        """
        return self._default_pool_status

    @default_pool_status.setter
    def default_pool_status(self, default_pool_status):
        """Sets the default_pool_status of this ThorchainStringConstants.


        :param default_pool_status: The default_pool_status of this ThorchainStringConstants.  # noqa: E501
        :type: str
        """

        self._default_pool_status = default_pool_status

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ThorchainStringConstants, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ThorchainStringConstants):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
